Page MenuHomePhabricator

Make the phabricator OAuth login UI more prominent
Closed, ResolvedPublic

Assigned To
Authored By
Qgil
Oct 29 2014, 8:04 AM
Tokens
"Yellow Medal" token, awarded by Qgil."Like" token, awarded by Harej."Love" token, awarded by He7d3r."Mountain of Wealth" token, awarded by Nemo_bis."Like" token, awarded by Quiddity.

Description

Wikimedia Phabricator allows users to log in using Wikimedia SUL (MediaWiki OAuth plugin, good for 99,9% of Wikimedia users) and Wikitech/Labs/Gerrit (LDAP login, good for 0.1% of Wikimedia users, and a good backup just in case OAuth is down).

By default, Phabricator will feature a full-fledged LDAP form first, adding the MediaWiki button underneath. This is confusing users, who enter their Wikimedia credentials in the LDAP form. They have no clue what LDAP is, and they simply see the familiar shape of a login form.

This problem would be solved if we find a way to hide that form behind a text link. Such link doesn't even need to be prominent, it can be placed in the text description (preferred) or be just a floating text label. This would give to the MediaWiki button the prominence it requires, even hesitant users would click it due to the lack of apparent choices, and most of the login problems would be gone.

@mmodell, whenever you have time, could you post an initial assessment of the realistic options here, please? I'm happy to submit requests upstream if needed, although I'm not sure what would be upstreameable here. Having LDAP login behind a button is a possibility too, if this would be indeed something that upstream would be happier to integrate.

Event Timeline

Qgil raised the priority of this task from to Medium.
Qgil updated the task description. (Show Details)
Qgil added a project: Phabricator.
Qgil changed Security from none to None.

What about adding some JS to hide it behind a 'I have a wikitech.wikimedia.org account, log in via LDAP' link?

(Obviously as a quick local hack, not for upstream.)

Qgil lowered the priority of this task from Medium to Low.Dec 8 2014, 8:39 AM

Lowering priority. The reasoning is the same as in T545#824391.

Lowering priority. The reasoning is the same as in T545#824391.

Ok but I don't see what "needs discussion" here.

Change 236408 had a related patch set uploaded (by Nemo bis):
[POC] Make MediaWiki OAuth login button more functional by enlargening

https://gerrit.wikimedia.org/r/236408

Qgil raised the priority of this task from Low to Medium.Sep 15 2015, 7:47 AM

This looks like a good improvement indeed:

phab-login.png (442×595 px, 37 KB)

Sadly, I cannot help with the code review of that patch.

Would it help if the login button was above the ldap form?

Would it help if the login button was above the ldap form?

Yes, that would help too.

Big button on top of LDAP form would be basically equivalent to closing this task as Resolved. No need to hide the form when the big sunflower button takes the primary spot so prominently.

mmodell renamed this task from Hide the LDAP login form behind a link to Make the phabricator OAuth login UI more prominent.Sep 23 2015, 7:16 PM

I personally found this login page confusing today - I totally typed my Wikipedia username & password into the LDAP fields and was confused about why it didn't work (wondering if I'd forgotten my password, or if the system was broken, or if my account got lost somehow, etc.) - so I'm happy to see some work on this getting discussed!

Right now this MediaWiki login widget is a bit ambiguous even if it's bigger. I'd suggest adding a few more words to communicate that this widget means "Login to the Phabricator account that is linked to your Wikipedia/MediaWiki/Wikimedia Commons/etc. unified login, or register a Phabricator account linked to your unified login. If you don't have a unified login, this will use your MediaWiki account login." (I'm guessing on that last part - and it doesn't have to be that wordy.)

I imagine that many people think of their unified login as their "Wikipedia account", so they may not realize they should click an unfamiliar sunflower "MediaWiki" button even if it's nice and big.

So I finally got around to dealing with this (D831)... Some years later. I know this should have been resolved a long time ago and I apologize for letting it rot.

mmodell claimed this task.